
%%nsize = 9000;
nsize = 5;
A = zeros(nsize);
b = zeros(nsize,1);
xsolution = zeros(nsize,1);
es = 0.00001;
maxit = 100;

for i = 1:nsize
    b(i) = 3.0 - 2.0*sin(double(i)*15.0);
for j = 1:nsize
    A(j,i) = cos(double(i-j)*123.0);
end
end

tic;
  xsolution = GaussSeidel_v0(A,b,es,maxit);
toc;

  sprintf('%.10f\n', xsolution)
